"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const debug = require('debug')('pandora:env:EnvironmentUtil');
class EnvironmentUtil {
    constructor() {
        this.ready = false;
    }
    static getInstance() {
        if (!this.instance) {
            this.instance = new EnvironmentUtil();
        }
        return this.instance;
    }
    getCurrentEnvironment() {
        debug('get env');
        assert(this.current, 'should setup current environment before using it');
        return this.current;
    }
    setCurrentEnvironment(env) {
        debug('set env');
        this.current = env;
        this.ready = true;
    }
    get(name) {
        assert(this.current, 'should setup current environment before using it');
        return this.current.get(name);
    }
    is(name) {
        assert(this.current, 'should setup current environment before using it');
        return this.current.match(name);
    }
    isReady() {
        return this.ready;
    }
}
exports.EnvironmentUtil = EnvironmentUtil;
//# sourceMappingURL=EnvironmentUtil.js.map