"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const os_1 = require("os");
const BaseEnvironment_1 = require("./BaseEnvironment");
class DefaultEnvironment extends BaseEnvironment_1.BaseEnvironment {
    constructor(variables) {
        variables = variables || {};
        if (!variables.env) {
            switch (process.env.NODE_ENV) {
                case 'production':
                    variables.env = 'production';
                    break;
                case 'prepub':
                    variables.env = 'prepub';
                    break;
                case 'test':
                case 'unittest':
                    variables.env = 'test';
                    break;
                default:
                    variables.env = 'development';
                    break;
            }
        }
        if (!variables.pandoraLogsDir) {
            variables.pandoraLogsDir = path_1.join(os_1.homedir(), 'logs');
        }
        super(variables);
    }
    match(name) {
        return this.get('env') === name;
    }
}
exports.DefaultEnvironment = DefaultEnvironment;
//# sourceMappingURL=DefaultEnvironment.js.map